<?php
include '../app/model/db.class.php';

if ($_POST['accion']=='buscar_identificacion'){
    
    $identificacion=$_REQUEST['identificacion'];
    
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
     
    $sql=$obj->consulta("select * from alumnos where nodoc='".$identificacion."'");
 
   
    if ($obj->numero_de_filas($sql)==1)
        $oper="1";
    else
        $oper="0";
  
    echo  $oper;
    
}    

//----------------------------------------------

if ($_POST['accion']=='mostrar_tabla'){

    $codigo=$_REQUEST['codigo'];
    $identificacion=$_REQUEST['identificacion'];
    $p_a=$_REQUEST['pa'];
    $s_a=$_REQUEST['sa'];
    $p_n=$_REQUEST['pn'];
    $s_n=$_REQUEST['sn'];
    
    $v1='';
    $v2='';
    $v3='';
    $v4='';
    $v5='';
    $v6='';
    
    if($codigo!=''){
        $v1="='".$codigo."'";
    }else{
        $v1="like '%' ";
    }
    
    if($p_a!=''){
        $v2="='".$p_a."'";
    }else{
        $v2="like '%' ";
    }
    
     if($s_a!=''){
        $v3="='".$s_a."'";
    }else{
        $v3="like '%' ";
    }
    
    
     if($p_n!=''){
        $v4="='".$p_n."'";
    }else{
        $v4="like '%' ";
    }
    
    if($s_n!=''){
        $v5="='".$s_n."'";
    }else{
        $v5="like '%' ";
    }
    
     if($identificacion!=''){
        $v6="='".$identificacion."'";
    }else{
        $v6="like '%' ";
    }
       
    $sql="select * from alumnos where codigo ".$v1." and nodoc ".$v6." and p_apellido ".$v2." and s_apellido ".$v3." and p_nombre ".$v4." and s_nombre ".$v5."  ;";
   
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    
    $resultado=$obj->consulta($sql);


    $cadena="<center><br><table border='0' cellspacing='3' cellpadding='2' class='t_info'>";
    $cadena.="<tr>";
    $cadena.="<th>&nbsp; C&oacute;digo &nbsp;</th>";
    $cadena.="<th>&nbsp; Identificaci&oacute;n &nbsp;</th>";    
    $cadena.="<th>&nbsp; P_Apellido &nbsp;</th>";
    $cadena.="<th>&nbsp; S_Apellido &nbsp;</th>";
    $cadena.="<th>&nbsp; P_Nombre &nbsp;</th>";
    $cadena.="<th>&nbsp; S_Nombre &nbsp;</th>";
    $cadena.="</tr>";
if($obj->numero_de_filas($resultado)!=0)
    {

    while ( $tsArray = $obj->fetch_assoc($resultado) )
            {
            $data[] = $tsArray;

            }

    for($i=0;$i<count($data);$i++){

        $cadena.="<tr>";
        $cadena.="<td align='center'>".$data[$i]['codigo']."</td>";
        $cadena.="<td align='center'>".$data[$i]['nodoc']."</td>";
        $cadena.="<td align='center'>".($data[$i]['p_apellido'])."</td>";
        $cadena.="<td align='center'>".($data[$i]['s_apellido'])."</td>";
        $cadena.="<td align='center'>".($data[$i]['p_nombre'])."</td>";
        $cadena.="<td align='center'>".($data[$i]['s_nombre'])."</td>";
        $cadena.='<td align="center"> <img id="elemento2"  class="confirmar" src="../imagenes/editar.jpg" alt="Editar" title="Editar" height="20" width="20"
                    onclick="editar_alumno('.$data[$i]['codigo'].')">  </td>';

        $cadena.="</tr>";
    }
    }else{
         $cadena.="<tr><td colspan='8' align='center'>Registro No Encontrado</td></tr>";
    }
    $cadena.="</table>";

    $cadena.="</center>";

    echo $cadena;

}

//-----------------------------------------------------

if ($_POST['accion']=='grabar_datos_alumno'){

$oper=$_REQUEST['oper'];

$codigo=$_REQUEST['codigo'];
$nd_e=$_REQUEST['nd_e'];
$td_e=$_REQUEST['td_e'];
$dpex_e=$_REQUEST['dpex_e'];
$mpex_e=$_REQUEST['mpex_e'];

$pn_e=$_REQUEST['pn_e'];
$sn_e=$_REQUEST['sn_e'];
$pa_e=$_REQUEST['pa_e'];
$sa_e=$_REQUEST['sa_e'];

$sx=$_REQUEST['sx'];
$fchnac=$_REQUEST['fchnac'];
$dptnac=$_REQUEST['dptnac'];
$mcpnac=$_REQUEST['mcpnac'];
$tpsan=$_REQUEST['tpsan'];
$ssb=$_REQUEST['ssb'];
$Eps=$_REQUEST['Eps'];
$correo=$_REQUEST['correo'];

$myDate1=$_REQUEST['myDate1'];
$dptor=$_REQUEST['dptor'];
$mcpres=$_REQUEST['mcpres'];
$zn=$_REQUEST['zn'];
$lcvr=$_REQUEST['lcvr'];
$brrcrr=$_REQUEST['brrcrr'];
$estr=$_REQUEST['estr'];
$tel_e=$_REQUEST['tel_e'];
$dir_e=$_REQUEST['dir_e'];
$pobvicconf=$_REQUEST['pobvicconf'];
$ultmdptexp=$_REQUEST['ultmdptexp'];
$ultmcex=$_REQUEST['ultmcex'];
$provsecpri=$_REQUEST['provsecpri'];
$provomc=$_REQUEST['provomc'];
$tpdic=$_REQUEST['tpdic'];
$capexc=$_REQUEST['capexc'];
$etn=$_REQUEST['etn'];
$resg=$_REQUEST['resg'];

$nd=$_REQUEST['nd'];
$td=$_REQUEST['td'];
$dpex=$_REQUEST['dpex'];
$mpex=$_REQUEST['mpex'];
$pn=$_REQUEST['pn'];
$sn=$_REQUEST['sn'];
$pa=$_REQUEST['pa'];
$sa=$_REQUEST['sa'];
$tel=$_REQUEST['tel'];
$dir=$_REQUEST['dir'];
$emp_p=$_REQUEST['emp_p'];
$notelem_p=$_REQUEST['notelem_p'];
$cargo_p=$_REQUEST['cargo_p'];
$pro_p=$_REQUEST['pro_p'];
$etd_p=$_REQUEST['etd_p'];

$nd_m=$_REQUEST['nd_m'];
$td_m=$_REQUEST['td_m'];
$dpex_m=$_REQUEST['dpex_m'];
$mpex_m=$_REQUEST['mpex_m'];
$pn_m=$_REQUEST['pn_m'];
$sn_m=$_REQUEST['sn_m'];
$pa_m=$_REQUEST['pa_m'];
$sa_m=$_REQUEST['sa_m'];
$tel_m=$_REQUEST['tel_m'];
$dir_m=$_REQUEST['dir_m'];
$emp_m=$_REQUEST['emp_m'];
$notelem_m=$_REQUEST['notelem_m'];
$cargo_m=$_REQUEST['cargo_m'];
$pro_m=$_REQUEST['pro_m'];
$etd_m=$_REQUEST['etd_m'];

$nd_a=$_REQUEST['nd_a'];
$td_a=$_REQUEST['td_a'];
$dpex_a=$_REQUEST['dpex_a'];
$mpex_a=$_REQUEST['mpex_a'];
$pn_a=$_REQUEST['pn_a'];
$sn_a=$_REQUEST['sn_a'];
$pa_a=$_REQUEST['pa_a'];
$sa_a=$_REQUEST['sa_a'];
$tel_a=$_REQUEST['tel_a'];
$dir_a=$_REQUEST['dir_a'];
$parts=$_REQUEST['parts'];
$emp_a=$_REQUEST['emp_a'];
$notelem_a=$_REQUEST['notelem_a'];
$cargo_a=$_REQUEST['cargo_a'];
$pro_a=$_REQUEST['pro_a'];
$etd_a=$_REQUEST['etd_a'];


    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    
    if ($oper=="1"){  //////---- OPER -------
    
    
        $obj->consulta("insert into alumnos (
                        codigo, 
                        p_apellido,s_apellido, p_nombre, s_nombre,
                        tipodoc, nodoc, dptoexped, mcpioexped, direccion, telefono,
                        dptores, mcpiores, zona, localidad, barrio, estrato, 
                        sisben, fechanac, dptonac, mcpionac, sexo,tiposangre, 
                        victimaconflicto, dptoexpulsor, mcpioexpulsor, sectorprivado, 
                        otromcpio, discapacidad, capacidades,etnia, resguardo, eps, 
                        fechaingreso, padre, madre, acudiente, parentesco,correo
                        )VALUES('".$codigo."','".$pa_e."','".$sa_e."','".$pn_e."','".$sn_e."','".$td_e."','".$nd_e."','".
                        $dpex_e."','".$mpex_e."','".$dir_e."','".$tel_e."','".$dptor."','".$mcpres."','".$zn."','".$lcvr."','".$brrcrr."','".$estr."','".
                        $ssb."','".$fchnac."','".$dptnac."','".$mcpnac."','".$sx."','".$tpsan."','".$pobvicconf."','".
                        $ultmdptexp."','".$ultmcex."','".$provsecpri."','".$provomc."','".$tpdic."','".$capexc."','".$etn."','".
                        $resg."','".$Eps."','".$myDate1."','".$nd."','".$nd_m."','".$nd_a."','".$parts."','".$correo."')");


       $obj->consulta("INSERT INTO usuarios VALUES ('".$codigo."','".$codigo."','".$codigo."','2','ejemplo@hotmail.com','".date("Y-m-d H:i:s")."')");

        $resul1=$obj->consulta("select codigalumno from registrar");
        $row=$obj->fetch_assoc($resul1);
        $obj->consulta("update registrar set codigalumno='".(($row['codigalumno'])+1)."'");


    }    
    else{  //////---- OPER ------- ACTUALIZA ALUMNOS -------
    

    
        $obj->consulta("UPDATE alumnos SET                         
                        p_apellido='".$pa_e."',s_apellido='".$sa_e."',p_nombre='".$pn_e."',s_nombre='".$sn_e."',
                        tipodoc='".$td_e."',nodoc='".$nd_e."',dptoexped='".$dpex_e."', mcpioexped='".$mpex_e."', direccion='".$dir_e."', telefono='".$tel_e."',
                        dptores='".$dptor."', mcpiores='".$mcpres."', zona='".$zn."', localidad='".$lcvr."', barrio='".$brrcrr."', estrato='".$estr."', 
                        sisben='".$ssb."', fechanac='".$fchnac."', dptonac='".$dptnac."', mcpionac='".$mcpnac."', sexo='".$sx."',tiposangre='".$tpsan."', 
                        victimaconflicto='".$pobvicconf."', dptoexpulsor='".$ultmdptexp."', mcpioexpulsor='".$ultmcex."', sectorprivado='".$provsecpri."', 
                        otromcpio='".$provomc."', discapacidad='".$tpdic."', capacidades='".$capexc."',etnia='".$etn."', resguardo='".$resg."', eps='".$Eps."', 
                        fechaingreso='".$myDate1."', padre='".$nd."', madre='".$nd_m."', acudiente='".$nd_a."', parentesco='".$parts."',correo='".$correo."' WHERE codigo='".$codigo."'");
                        
                                                   
         
    }
    
    
                                  
        //--------------ACTUALIZAR PADRE -----------------


        $result=$obj->consulta("select * from datosfamiliares where cedula='".$nd."'");

        if (($obj->numero_de_filas($result)==0) and($nd!='') and ($nd!='.')) {

            $query_padre="insert into datosfamiliares (cedula, p_apellido, s_apellido, p_nombre, s_nombre, tipodoc, nodoc, dptoexped, mcpioexped, dirres, telres, empresa, telempresa, cargo, profesion, estudios)
                          values('".$nd."','".$pa."','".$sa."','".$pn."','".$sn."','".$td."','".
                                    $nd."','".$dpex."','".$mpex."','".$dir."','".$tel."','".$emp_p."','".$notelem_p."','".$cargo_p."','".$pro_p."','".$etd_p."')";
            $obj->consulta($query_padre);

        }
        else{
        
            $query_padre="UPDATE datosfamiliares SET
                         p_apellido='".$pa."', s_apellido='".$sa."', p_nombre='".$pn."', s_nombre='".$sn."', 
                         tipodoc='".$td."', nodoc='".$nd."', dptoexped='".$dpex."', mcpioexped='".$mpex."', dirres='".$dir."', 
                         telres='".$tel."', empresa='".$emp_p."', telempresa='".$notelem_p."', cargo='".$cargo_p."', profesion='".$pro_p."', estudios='".$etd_p."' where cedula='".$nd."'";
                         
                                                                    
            $obj->consulta($query_padre);        
        
        }
            
        //---------- ACTUALIZAR MADRE -----------------

        $result=$obj->consulta("select * from datosfamiliares where cedula='".$nd_m."'");
        
        if (($obj->numero_de_filas($result)==0) and($nd_m!='') and ($nd_m!='.')) {
        
            $query_madre="insert into datosfamiliares (cedula, p_apellido, s_apellido, p_nombre, s_nombre, tipodoc, nodoc, dptoexped, mcpioexped, dirres, telres, empresa, telempresa, cargo, profesion, estudios)
                          values('".$nd_m."','".$pa_m."','".$sa_m."','".$pn_m."','".$sn_m."','".$td_m."','".
                                  $nd_m."','".$dpex_m."','".$mpex_m."','".$dir_m."','".$tel_m."','".$emp_m."','".$notelem_m."','".$cargo_m."','".$pro_m."','".$etd_m."')";
            $obj->consulta($query_madre);

        }
        else{
        
            $query_madre="UPDATE datosfamiliares SET
                         p_apellido='".$pa_m."', s_apellido='".$sa_m."', p_nombre='".$pn_m."', s_nombre='".$sn_m."', 
                         tipodoc='".$td_m."', nodoc='".$nd_m."', dptoexped='".$dpex_m."', mcpioexped='".$mpex_m."', dirres='".$dir_m."', 
                         telres='".$tel_m."', empresa='".$emp_m."', telempresa='".$notelem_m."', cargo='".$cargo_m."', profesion='".$pro_m."', estudios='".$etd_m."' where cedula='".$nd_m."'";
                         
                                                                    
            $obj->consulta($query_madre);        
        
        }
      
        //-------------ACTUALIZAR ACUDIENTE -----------------
                                 
        $result=$obj->consulta("select * from datosfamiliares where cedula='".$nd_a."'");

        if(($obj->numero_de_filas($result)==0) and($nd_a!='') and ($nd_a!='.')) {
                
         $query_acudiente="insert into datosfamiliares (cedula, p_apellido, s_apellido, p_nombre, s_nombre, tipodoc, nodoc, dptoexped, mcpioexped, dirres, telres, empresa, telempresa, cargo, profesion, estudios)
                          values('".$nd_a."','".$pa_a."','".$sa_a."','".$pn_a."','".$sn_a."','".$td_a."','".
                                  $nd_a."','".$dpex_a."','".$mpex_a."','".$dir_a."','".$tel_a."','".$emp_a."','".$notelem_a."','".$cargo_a."','".$pro_a."','".$etd_a."')";
            $obj->consulta($query_acudiente);

        }
        else{
        
         $query_acudiente="UPDATE datosfamiliares SET
                         p_apellido='".$pa_a."', s_apellido='".$sa_a."', p_nombre='".$pn_a."', s_nombre='".$sn_a."', 
                         tipodoc='".$td_a."', nodoc='".$nd_a."', dptoexped='".$dpex_a."', mcpioexped='".$mpex_a."', dirres='".$dir_a."', 
                         telres='".$tel_a."', empresa='".$emp_a."', telempresa='".$notelem_a."', cargo='".$cargo_a."', profesion='".$pro_a."', estudios='".$etd_a."' where cedula='".$nd_a."'";
                         
                                                                    
            $obj->consulta($query_acudiente);        
        
        }
   
   
    //----------------------------------------------------
   
    if ($oper=="1")
        echo "Alumno Registrado";
    else 
       echo "Alumno Actualiado";






$obj->disconnect();
}

//------------------------------------------------------------

if ($_POST['accion']=='mostrar_codigo'){

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    

        //------- CODIGO DEL ALUMNO -----------
        
        $resultado=$obj->consulta("select codigalumno from registrar");
        $row=$obj->fetch_assoc($resultado);
        $codigo_alumno=$row['codigalumno'];
        
        echo $codigo_alumno;

$obj->disconnect();

}

//------------------------------------------------------------

if ($_POST['accion']=='traer_informacion'){

    $codigo=$_REQUEST['codigo'];

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    
    $query=$obj->consulta("select * from alumnos where codigo='".$codigo."'");
    $row=$obj->fetch_assoc($query);


    echo $row['nodoc'].'*'.$row['tipodoc'].'*'.$row['dptoexped'].'*'.$row['mcpioexped'].'*'.$row['p_apellido'].'*'.$row['s_apellido'].'*'.$row['p_nombre'].'*'.	$row['s_nombre'].'*'.$row['sexo']
         .'*'.$row['fechanac'].'*'.$row['dptonac'].'*'.$row['mcpionac'].'*'.$row['tiposangre']
         .'*'.$row['sisben'].'*'.	$row['eps'].'*'.	$row['correo'].'*'.	$row['fechaingreso'].'*'.	$row['dptores'].'*'.	$row['mcpiores'].'*'.	$row['zona'].'*'.$row['localidad'].'*'.$row['barrio'].'*'.	$row['estrato'].'*'.$row['telefono'].'*'.$row['direccion'].'*'.$row['victimaconflicto']
         .'*'.	$row['dptoexpulsor'].'*'.	$row['mcpioexpulsor'].'*'.$row['sectorprivado'].'*'.$row['otromcpio'].'*'.$row['discapacidad'].'*'.$row['capacidades'].'*'.$row['etnia'].'*'.$row['resguardo'].'*'.$row['padre'].'*'.$row['madre'].'*'.$row['acudiente'].'*'.$row['parentesco'];	

    $obj->disconnect();

}
//------------------------------------------------------------

if ($_POST['accion']=='mostrar_datos_familiares'){

    $cedula=$_REQUEST['cedula'];

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    
    $query=$obj->consulta("select * from datosfamiliares where cedula='".$cedula."'");
    $row=$obj->fetch_assoc($query);

    if($obj->numero_de_filas($query)>0){

       echo $row['p_apellido'].'*'.	$row['s_apellido'].'*'.	$row['p_nombre'].'*'.	$row['s_nombre'].'*'.	$row['tipodoc'].'*'.	$row['nodoc'].'*'.	$row['dptoexped'].'*'.	$row['mcpioexped'].'*'.	$row['dirres'].'*'.	$row['telres'].'*'.	$row['empresa'].'*'.	$row['telempresa'].'*'.	$row['cargo'].'*'.	$row['profesion'].'*'.	$row['estudios'];	
	
    }
    else
       echo "NO";

    $obj->disconnect();

}

?>